> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify Stylus Source Code

> Submit Stylus source code for verification.

export const chain = '1';

<Badge color="yellow">Arbitrum One Mainnet</Badge> <Badge color="yellow">Arbitrum Sepolia Testnet</Badge>

<ResponseExample>
  ```json Example response theme={null}
  {
      "status": "1",
      "message": "OK",
      "result": "a7lpxkm9kpcpicx7daftmjifrfhiuhf5vqqnawhkfhzfrcpnxj"
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi/api-reference/endpoint/verifystylus.json POST /v2/api
openapi: 3.1.0
info:
  title: Verify Stylus Source Code
  version: 2.0.0
  description: Submit Stylus source code for verification.
  license:
    name: Etherscan API Terms
    url: https://etherscan.io/terms
servers:
  - url: https://api.etherscan.io
    description: Etherscan API.
security:
  - apiKey: []
paths:
  /v2/api:
    post:
      summary: Verify Stylus Source Code
      description: Submit Stylus source code for verification.
      operationId: postVerifystylus
      parameters:
        - name: chainid
          in: query
          required: true
          description: >-
            Chain ID to query, eg 42161 for Arbitrum One from our [supported
            chains](/supported-chains).
          schema:
            type: string
          example: '42161'
        - name: module
          in: query
          required: true
          description: Set to contract for this endpoint.
          schema:
            type: string
            default: contract
          example: contract
        - name: action
          in: query
          required: true
          description: Set to verifysourcecode for this endpoint.
          schema:
            type: string
            default: verifysourcecode
          example: verifysourcecode
      requestBody:
        required: true
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                codeformat:
                  type: string
                  examples:
                    - stylus
                  description: Use `stylus` for Stylus projects.
                sourceCode:
                  type: string
                  examples:
                    - https://github.com/OffchainLabs/stylus-hello-world
                  description: Public Git repository that hosts the Stylus source code.
                contractaddress:
                  type: string
                  examples:
                    - '0xdAC17F958D2ee523a2206206994597C13D831ec7'
                  description: The address where the contract is deployed.
                contractname:
                  type: string
                  examples:
                    - stylus_hello_world
                  description: The contract name that matches your Stylus deployment.
                compilerversion:
                  type: string
                  examples:
                    - stylus:0.5.3
                  description: Stylus compiler version used for compilation.
                licenseType:
                  type: integer
                  examples:
                    - 3
                  description: >-
                    License identifier from the [open source license
                    options](https://arbiscan.io/contract-license-types).
              required:
                - codeformat
                - sourceCode
                - contractaddress
                - contractname
                - compilerversion
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: >-
                      1 if the request returned data, 0 otherwise. A status of 0
                      can indicate an error or a valid request that returned no
                      records.
                  message:
                    type: string
                    description: >-
                      OK on success, otherwise an error description such as
                      NOTOK. See [common error
                      messages](/common-error-messages).
                  result:
                    type: string
                    description: >-
                      GUID for the verification submission. Use it with
                      [checkverifystatus](/api-reference/endpoint/checkverifystatus)
                      to poll the result.
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: query
      name: apikey
      description: >-
        Enter your Etherscan API key, or [set one up](/set-up-your-api-key) if
        you don't have one.

````